import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: 'saved-searches',
        data: { pageTitle: 'gitsearchApp.savedSearches.home.title' },
        loadChildren: () => import('./saved-searches/saved-searches.module').then(m => m.SavedSearchesModule),
      },
      /* jhipster-needle-add-entity-route - JHipster will add entity modules routes here */
    ]),
  ],
})
export class EntityRoutingModule {}
